Patchwork D12121: obsolete: don't import from .node twice

login
register
mail settings
Submitter phabricator
Date Jan. 31, 2022, 3:12 p.m.
Message ID <differential-rev-PHID-DREV-xotamgn7xe6unvskptg6-req@mercurial-scm.org>
Download mbox | patch
Permalink /patch/50447/
State New
Headers show

Comments

phabricator - Jan. 31, 2022, 3:12 p.m.
av6 created this revision.
Herald added a reviewer: hg-reviewers.
Herald added a subscriber: mercurial-patches.

REVISION SUMMARY
  See d55b71393907 <https://phab.mercurial-scm.org/rHGd55b71393907e4c937bbad9da5527f35df9a41d7>.

REPOSITORY
  rHG Mercurial

BRANCH
  default

REVISION DETAIL
  https://phab.mercurial-scm.org/D12121

AFFECTED FILES
  mercurial/obsolete.py

CHANGE DETAILS




To: av6, #hg-reviewers
Cc: mercurial-patches, mercurial-devel

Patch

diff --git a/mercurial/obsolete.py b/mercurial/obsolete.py
--- a/mercurial/obsolete.py
+++ b/mercurial/obsolete.py
@@ -73,10 +73,6 @@ 
 import struct
 
 from .i18n import _
-from .node import (
-    bin,
-    hex,
-)
 from .pycompat import getattr
 from .node import (
     bin,